Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.document
Class RtfInfoElement

    java.lang.Object
      com.lowagie.text.rtf.RtfElement
          com.lowagie.text.rtf.document.RtfInfoElement

All Implemented Interfaces:
  RtfBasicElement

    public class RtfInfoElement

extends RtfElement

Stores one information group element. Valid elements are author, title, subject, keywords, producer and creationdate.

Version:
  $Id: RtfInfoElement.java 2996 2007-11-20 22:40:36Z hallm $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at), Thomas Bickel (tmb99@inode.at)

Field Summary
`private String` | `content` The content of this RtfInfoElement
`private static byte[]` | `INFO_AUTHOR` Constant for the author element
`private static byte[]` | `INFO_CREATION_DATE` Constant for the creationdate element
`private static byte[]` | `INFO_KEYWORDS` Constant for the keywords element
`private static byte[]` | `INFO_PRODUCER` Constant for the producer element
`private static byte[]` | `INFO_SUBJECT` Constant for the subject element
`private static byte[]` | `INFO_TITLE` Constant for the title element
`private int` | `infoType` The type of this RtfInfoElement.

Fields inherited from class com.lowagie.text.rtf.RtfElement
`document, inHeader, inTable`

Fields inherited from interface com.lowagie.text.rtf.RtfBasicElement
`CLOSE_GROUP, COMMA_DELIMITER, DELIMITER, OPEN_GROUP, TWIPS_FACTOR`

Constructor Summary
`RtfInfoElement(RtfDocument doc, Meta meta)` Constructs a RtfInfoElement based on the given Meta object

Method Summary
`private String` | `convertDate(String date)` Converts a date from the format used by iText to the format required by rtf.
`byte[]` | `write()` Deprecated. As of iText 2.0.6 or earlier, replaced by `writeContent(OutputStream)`, scheduled for removal at or after 2.1.0
`void` | `writeContent(OutputStream result)` Writes the element content to the given output stream.

Methods inherited from class com.lowagie.text.rtf.RtfElement
`intToByteArray, isInTable, setInHeader, setInTable, setRtfDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INFO_AUTHOR

    private static final byte[] INFO_AUTHOR

  Constant for the author element

### INFO_SUBJECT

    private static final byte[] INFO_SUBJECT

  Constant for the subject element

### INFO_KEYWORDS

    private static final byte[] INFO_KEYWORDS

  Constant for the keywords element

### INFO_TITLE

    private static final byte[] INFO_TITLE

  Constant for the title element

### INFO_PRODUCER

    private static final byte[] INFO_PRODUCER

  Constant for the producer element

### INFO_CREATION_DATE

    private static final byte[] INFO_CREATION_DATE

  Constant for the creationdate element

### infoType

    private int infoType

  The type of this RtfInfoElement. The values from Element.INFO_ELEMENT_NAME are used.

### content

    private String content

  The content of this RtfInfoElement

Constructor Detail

### RtfInfoElement

    public RtfInfoElement(RtfDocument doc,
                          Meta meta)

  Constructs a RtfInfoElement based on the given Meta object

  Parameters:
    `doc` - The RtfDocument this RtfInfoElement belongs to
    `meta` - The Meta object this RtfInfoElement is based on

Method Detail

### write

    public byte[] write()

  Deprecated. As of iText 2.0.6 or earlier, replaced by `writeContent(OutputStream)`, scheduled for removal at or after 2.1.0

  Writes this RtfInfoElement

  Specified by:
    `write` in interface `RtfBasicElement`
  Specified by:
    `write` in class `RtfElement`
  Returns:
    A byte array containing the RtfInfoElement data

### writeContent

    public void writeContent(OutputStream result)
                      throws IOException

  Writes the element content to the given output stream.

  Specified by:
    `writeContent` in interface `RtfBasicElement`
  Overrides:
    `writeContent` in class `RtfElement`
  Throws:
    `IOException`

### convertDate

    private String convertDate(String date)

  Converts a date from the format used by iText to the format required by rtf.
  iText: EEE MMM dd HH:mm:ss zzz yyyy - rtf: \\'yr'yyyy\\'mo'MM\\'dy'dd\\'hr'HH\\'min'mm\\'sec'ss

  Parameters:
    `date` - The date formated by iText
  Returns:
    The date formated for rtf

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD